<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <FrameLayout
        android:id="@+id/fl_video"
        android:layout_width="match_parent"
        android:layout_height="156dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.cooleshow.base.widgets.QMUIRadiusImageView
            android:id="@+id/iv_video_bg"
            android:layout_width="match_parent"
            android:layout_height="156dp"
            app:qmui_corner_radius="10dp" />

        <View
            android:visibility="gone"
            android:id="@+id/view_no_cover_bg"
            android:background="@drawable/shape_66000000_10dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"/>

        <TextView
            android:visibility="gone"
            android:id="@+id/tv_upload_cover_tip"
            android:layout_gravity="center"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_14"
            android:text="请上传视频封面"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

        <ImageView
            android:id="@+id/iv_play_video"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:src="@drawable/icon_play_video" />

        <TextView
            android:id="@+id/tv_audit_status"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/shape_mine_style_video_status_bg"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingStart="3dp"
            android:paddingTop="1dp"
            android:paddingEnd="3dp"
            android:paddingBottom="1dp"
            android:text="审核中"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12"
            android:visibility="gone" />
    </FrameLayout>

    <TextView
        android:id="@+id/tv_upload_cover"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="7dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/shape_2dc7aa_12dp"
        android:gravity="center"
        android:paddingTop="4dp"
        android:paddingBottom="4dp"
        android:text="上传封面"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_12"
        app:layout_constraintLeft_toLeftOf="@+id/fl_video"
        app:layout_constraintRight_toLeftOf="@+id/ll_del_video"
        app:layout_constraintTop_toBottomOf="@+id/fl_video" />

    <LinearLayout
        android:id="@+id/ll_del_video"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="6dp"
        android:layout_marginEnd="7dp"
        android:background="@drawable/shape_ff7938_12dp"
        android:gravity="center"
        app:layout_constraintBottom_toBottomOf="@+id/tv_upload_cover"
        app:layout_constraintLeft_toRightOf="@+id/tv_upload_cover"
        app:layout_constraintRight_toRightOf="@+id/fl_video"
        app:layout_constraintTop_toTopOf="@+id/tv_upload_cover">

        <TextView
            android:id="@+id/tv_del_video"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@drawable/icon_del_video"
            android:drawablePadding="5dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="删除"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_12" />
    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>